> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ilitylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a domain

> Returns one domain's settings, plan, and entitlements.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/domains/{slug}
openapi: 3.1.0
info:
  title: ility API
  version: 1.0.0
  description: Read accessibility results and start scans in your ility workspace.
servers:
  - url: https://app.ilitylabs.com
security:
  - apiKey: []
tags:
  - name: Workspaces
  - name: Surfaces
  - name: Domains
  - name: Scans
  - name: Issues
paths:
  /v1/domains/{slug}:
    get:
      tags:
        - Domains
      summary: Get a domain
      description: Returns one domain's settings, plan, and entitlements.
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: slug
          in: path
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Domain'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Domain:
      type: object
      properties:
        id:
          type: string
          format: uuid
        workspace_id:
          type: string
          format: uuid
        base_url:
          type: string
        name:
          type:
            - string
            - 'null'
        slug:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - active
            - archived
        archived_at:
          type:
            - string
            - 'null'
          format: date-time
        wcag_level:
          type:
            - string
            - 'null'
        environment:
          type:
            - string
            - 'null'
        enabled_engine_ids:
          type: array
          items:
            type: string
            format: uuid
        crawl_include_query_params:
          type: boolean
        crawl_respect_robots:
          type: boolean
        scan_schedule_enabled:
          type: boolean
        availability_checks_enabled:
          type: boolean
        plan_tier:
          type: string
          enum:
            - free
            - starter
            - pro
        page_blocks:
          type: integer
        page_allowance:
          type:
            - integer
            - 'null'
        group_id:
          type:
            - string
            - 'null'
          format: uuid
        surface_id:
          type:
            - string
            - 'null'
          format: uuid
        entitlements:
          $ref: '#/components/schemas/DomainEntitlements'
      required:
        - id
        - workspace_id
        - base_url
        - name
        - slug
        - created_at
        - updated_at
        - status
        - archived_at
        - wcag_level
        - environment
        - enabled_engine_ids
        - crawl_include_query_params
        - crawl_respect_robots
        - scan_schedule_enabled
        - availability_checks_enabled
        - plan_tier
        - page_blocks
        - page_allowance
        - group_id
        - surface_id
        - entitlements
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
        reason:
          type: string
      required:
        - detail
    DomainEntitlements:
      type: object
      properties:
        full_crawl:
          type: boolean
        scheduled_scans:
          type: boolean
        availability_checks:
          type: boolean
        api_triggers:
          type: boolean
        true_user_auth:
          type: boolean
      required:
        - full_crawl
        - scheduled_scans
        - availability_checks
        - api_triggers
        - true_user_auth
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        An ility API key, such as `ilk_1a2b3c4d_…`. Workspace owners create keys
        under Settings → API keys.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.